Bug 1788812 - Test cluster is firing large number of UsingDeprecatedAPIExtensionsV1Beta1 alerts.
Summary: Test cluster is firing large number of UsingDeprecatedAPIExtensionsV1Beta1 al...
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: OpenShift Container Platform
Classification: Red Hat
Component: kube-apiserver
Version: 4.4
Hardware: Unspecified
OS: Unspecified
medium
high
Target Milestone: ---
: 4.4.0
Assignee: Stefan Schimanski
QA Contact: Ke Wang
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2020-01-08 07:35 UTC by Xingxing Xia
Modified: 2020-05-04 11:23 UTC (History)
5 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of: 1768417
Environment:
Last Closed: 2020-05-04 11:23:07 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Private Priority Status Summary Last Updated
Red Hat Product Errata RHBA-2020:0581 0 None None None 2020-05-04 11:23:40 UTC

Internal Links: 1793850

Description Xingxing Xia 2020-01-08 07:35:33 UTC
+++ This bug was initially created as a clone of Bug #1768417 +++

Creating this separate bug tracking https://bugzilla.redhat.com/show_bug.cgi?id=1768417#c4 ~ 7

Comment 1 Tomáš Nožička 2020-01-08 11:33:32 UTC
4.4 has disabled serving those deprecated apis, this should be happening there now

Comment 2 Tomáš Nožička 2020-01-08 11:34:06 UTC
s/should/shouldn't

Comment 3 Ke Wang 2020-01-14 08:04:19 UTC
Verified with Server Version: 4.4.0-0.nightly-2020-01-13-220938.

Created file daemonset-simple-hello-openshift.yaml with the following content,
apiVersion: extensions/v1beta1
kind: DaemonSet
metadata:
  name: hello-openshift-daemonset
spec:
  selector:
      matchLabels:
        name: hello-openshift-daemonset
  template:
    metadata:
      labels:
        name: hello-openshift-daemonset
    spec:
      containers:
      - image: openshift/hello-openshift
        name: hello-openshift

$ oc create -f daemonset-simple-hello-openshift.yaml
error: unable to recognize "daemonset-simple-hello-openshift.yaml": no matches for kind "DaemonSet" in version "extensions/v1beta1"

Check it on Prometheus UI -> Alerts page, searching UsingDeprecatedAPIExtensionsV1Beta1, there is no related log.
Also check it on Monitoring -> Alerting page, there is no firing log of UsingDeprecatedAPIExtensionsV1Beta1.

Comment 5 errata-xmlrpc 2020-05-04 11:23:07 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHBA-2020:0581


Note You need to log in before you can comment on or make changes to this bug.